Summary: Fast paced, arcade-style, top-scrolling space shooter
Name: chromium
Version: 0.9.12
Release: alt6
License: Artistic
Group: Games/Arcade
URL: http://www.reptilelabour.com/software/chromium/
Source: http://www.reptilelabour.com/software/files/chromium/%name-src-%version.tar.bz2
Source1: http://www.reptilelabour.com/software/files/chromium/%name-data-%version.tar.bz2
Source10: %name.16.xpm
Source11: %name.32.xpm
Source12: %name.48.xpm
Patch0: chromium-0.9.12-fix-flags.patch
Patch1: chromium-0.9.11-glibc-2.2.2.patch
Patch2: chromium-fix-gcc-2.96.patch
Patch3: Chromium-0.9-qt3.patch
Patch4: chromium-fix-sdl.patch
Patch5: chromium-0.9.12-fix-openal-configurecall.patch
Patch6: chromium-0.9.12-shared-zlib.patch
Patch7: Chromium-0.9-gcc3.patch
Patch8: Chromium-0.9-alt-configure.patch

# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: XFree86-devel XFree86-libs aalib esound fontconfig freetype2 gcc-c++ libGLU-devel libSDL-devel libXft libalsa2 libarts libaudiofile libexpat libjpeg liblcms libmng libogg libopenal-devel libqt3-devel libslang libsmpeg-devel libstdc++-devel libvorbis-devel zlib-devel

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot them up game with fine graphics.

%package setup
Summary: Setup frontend for Chromium
Group: Games/Arcade

%description setup
This package contains the setup frontend (using QT) to ease configuration
of Chromium, especially for its playlist features.

%prep
%setup -q -n Chromium-0.9
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1
# Fix CFLAGS
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_fastmath

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
#export DEFS="-DGAMESBINDIR=\\\"%{_gamesbindir}\\\" -DPKGDATADIR=\\\"%{_gamesdatadir}/Chromium-0.9\\\" -DUSE_SDL `sdl-config --cflags` -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT -I../../include -I../support/openal/linux/include -I../support/openal/include"
export DEFS="-DGAMESBINDIR=\\\"%{_gamesbindir}\\\" -DPKGDATADIR=\\\"%{_gamesdatadir}/Chromium-0.9\\\" -DUSE_SDL `sdl-config --cflags` -DAUDIO_OPENAL -D_REENTRANT -I../../include"
export OPENAL_CONFIG_OPTS="./configure %{_target_platform}"
export QTDIR=/usr/lib/qt3
./configure --enable-vorbis
# SMP-incompatible build.
%make

%install
mkdir -p $RPM_BUILD_ROOT/%_gamesbindir
cp bin/* $RPM_BUILD_ROOT/%_gamesbindir
mkdir -p $RPM_BUILD_ROOT/%_gamesdatadir
tar jxvf %SOURCE1 -C $RPM_BUILD_ROOT/%_gamesdatadir

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.xpm" \
  needs="x11" section="Amusement/Arcade" title="Chromium" \
  longtitle="OpenGL shoot them up"
EOF

cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name-setup
?package(%name-setup):command="%_gamesbindir/%name-setup" icon="%name.xpm" \
  needs="x11" section="Amusement/Arcade" title="Chromium Setup" \
  longtitle="Graphical Setup of Chromium"
EOF

mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
cp %SOURCE10 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
cp %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
cp %SOURCE12 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%post setup
%update_menus

%postun setup
%clean_menus

%files
%doc README LICENSE CHANGES
%_gamesbindir/chromium
%_gamesdatadir/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%files setup
%_gamesbindir/chromium-setup
%_menudir/chromium-setup

%changelog
* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.12-alt6
- build requires fix
- patch for build chromium with shared libvorbisfile library

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.12-alt5
- Rebuilt in new environment
- Build with qt3

* Wed Jul 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.12-alt4
- Rebuild with new Vorbis

* Wed Mar 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.9.12-alt3
- Fixed build.
- Updated buildrequires.

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.12-alt2
- Rebuilt with external zlib
- Rebuilt with external openal
- Fixed %doc

* Thu Jun 7 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.12-alt1
- 0.9.12
- Some patches from Mandrake Cooker

* Wed Apr 11 2001 Kostya Timoshenko <kt@altlinux.ru> 0.9.11-ipl2mdk
- Rebuild with SDL-1.2.0
- add chromium-fix-sdl.patch

* Wed Feb 21 2001 Kostya Timoshenko <kt@petr.kz> 0.9.11-ipl1mdk
- 0.9.11

* Tue Jan 30 2001 Kostya Timoshenko <kt@petr.kz> 0.9.10-ipl1mdk
- 0.9.10
- now subpackage includes chromium-setup (qt2 setup frontend)

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Tue Dec 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9 to please sucking pixel

* Fri Dec  8 2000 Pixel <pixel@mandrakesoft.com> 0.9.8-2mdk
- fix BuildReq

* Sun Nov 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8 with many improvements: now a commercial-level game IMHO!

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-3mdk
- recompile against newest libstdc++

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- fix compile with gcc-2.96

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-1mdk
- release 0.9.7

* Sat Sep 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.6-1mdk
- first Mandrake Package

